# Database modify

An action block that modifies content stored in a SQLite database file.

The fiber will pause until the statement has been executed.

Due to Android restrictions of file system access, on Android 5—10 the database file must be stored on primary external storage.

Note! Avoid using long running transactions spanning multiple blocks, as it may cause problems if Automate is terminated before before a commit.

## Input arguments

- Database file — path to a existing, or where to create a, database file, see restrictions above.
- Statement — a SQL statement, default is to just open/create the database file.
- Parameters — an array of values to replace any `?` within the Statement.
- Result type — type of result assigned to Result, default is Number of rows affected.

## Output variables

- Result — variable to assign, depending on Result type, either id of last inserted row or the number of rows deleted/updated.